<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateInspectionReportSummaryTable extends Migration {

	public function up()
	{
		Schema::create('inspection_report_summary', function(Blueprint $table) {
			$table->increments('id', true);
			$table->integer('inspection_report_id')->unsigned()->index();
			$table->integer('category_order');
			$table->string('category_name');
			$table->integer('saf')->default('0');
			$table->integer('rr')->default('0');
			$table->integer('mm')->default('0');
			$table->integer('ser')->default('0');
			$table->integer('np')->default('0');
			$table->integer('ni')->default('0');
			$table->tinyInteger('na')->default('0');
			$table->tinyInteger('inspection_category_id')->nullable()->index()->default('NULL');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('inspection_report_summary');
	}
}